# GimpUi.ColorScale

    const GimpUi = imports.gi.GimpUi;

    let colorScale = new GimpUi.ColorScale({
        channel: value,
    });

Fancy colored sliders.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Range
        - Gtk.Scale
          - GimpUi.ColorScale

## Constructors

- GimpUi.ColorScale.new

## Methods

- GimpUi.ColorScale.prototype.set_channel
- GimpUi.ColorScale.prototype.set_color
- GimpUi.ColorScale.prototype.set_color_config
- GimpUi.ColorScale.prototype.set_format

## Properties

- channel